[**@rxap/forms v19.1.0**](../README.md)

***

[@rxap/forms](../globals.md) / FormArrayControlManager

# Class: FormArrayControlManager\<T\>

Defined in: [packages/angular/forms/src/lib/form-builder.ts:37](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L37)

## Type Parameters

• **T** *extends* [`FormDefinition`](../interfaces/FormDefinition.md)

## Constructors

### new FormArrayControlManager()

> **new FormArrayControlManager**\<`T`\>(`form`, `controlId`): [`FormArrayControlManager`](FormArrayControlManager.md)\<`T`\>

Defined in: [packages/angular/forms/src/lib/form-builder.ts:38](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L38)

#### Parameters

##### form

`T`

##### controlId

keyof `T`

#### Returns

[`FormArrayControlManager`](FormArrayControlManager.md)\<`T`\>

## Methods

### inserted()

> **inserted**(`index`, `controlOrDefinition`): `void`

Defined in: [packages/angular/forms/src/lib/form-builder.ts:41](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L41)

#### Parameters

##### index

`number`

##### controlOrDefinition

`AbstractControl`\<`any`, `any`\> | [`FormDefinition`](../interfaces/FormDefinition.md)\<`any`, `any`, `any`\>

#### Returns

`void`

***

### removed()

> **removed**(`index`): `void`

Defined in: [packages/angular/forms/src/lib/form-builder.ts:55](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/form-builder.ts#L55)

#### Parameters

##### index

`number`

#### Returns

`void`
